For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of databases for an account
          • POSTAdd a new database
          • GETRetrieves a paginated list of databases for an account, with optional fuzzy search query
          • GETRetrieves a single database
          • DELDeletes database
          • GETGets a list of extra import fields
          • PUTSubmits a list of extra import fields
          • GETReturns a list of mapped fields in the file map
          • POSTSets a database primary key
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformDatabase

Add a new database

POST
https://meta.feedonomics.com/api.php/accounts/:account_id/dbs
POST
/api.php/accounts/:account_id/dbs
$curl -X POST https://meta.feedonomics.com/api.php/accounts/1/dbs \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
200Successful
1{}
Was this page helpful?
Previous

Retrieves a list of databases for an account

Next

Retrieves a paginated list of databases for an account, with optional fuzzy search query

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idintegerRequired
ID of the account that the database is added to

Headers

x-api-keystringRequired

Request

The database parameters
namestringRequired
The name of the database

Response

successful operation